/*
 * OpenFairDB API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.9.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package org.openapitools.client.model;

import java.util.Objects;
import java.util.Arrays;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import org.openapitools.client.model.ImageLink;
import org.openapitools.client.model.ImageUrl;

/**
 * PlaceLinks
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.JavaClientCodegen", date = "2020-12-19T15:07:54.107442+01:00[Europe/Rome]")
public class PlaceLinks {
  public static final String SERIALIZED_NAME_WWW = "www";
  @SerializedName(SERIALIZED_NAME_WWW)
  private String www;

  public static final String SERIALIZED_NAME_IMG = "img";
  @SerializedName(SERIALIZED_NAME_IMG)
  private ImageUrl img = null;

  public static final String SERIALIZED_NAME_IMG_HREF = "img_href";
  @SerializedName(SERIALIZED_NAME_IMG_HREF)
  private ImageLink imgHref = null;


  public PlaceLinks www(String www) {
    
    this.www = www;
    return this;
  }

   /**
   * Get www
   * @return www
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(example = "https://www.slowtec.de/", value = "")

  public String getWww() {
    return www;
  }


  public void setWww(String www) {
    this.www = www;
  }


  public PlaceLinks img(ImageUrl img) {
    
    this.img = img;
    return this;
  }

   /**
   * Get img
   * @return img
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public ImageUrl getImg() {
    return img;
  }


  public void setImg(ImageUrl img) {
    this.img = img;
  }


  public PlaceLinks imgHref(ImageLink imgHref) {
    
    this.imgHref = imgHref;
    return this;
  }

   /**
   * Get imgHref
   * @return imgHref
  **/
  @javax.annotation.Nullable
  @ApiModelProperty(value = "")

  public ImageLink getImgHref() {
    return imgHref;
  }


  public void setImgHref(ImageLink imgHref) {
    this.imgHref = imgHref;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PlaceLinks placeLinks = (PlaceLinks) o;
    return Objects.equals(this.www, placeLinks.www) &&
        Objects.equals(this.img, placeLinks.img) &&
        Objects.equals(this.imgHref, placeLinks.imgHref);
  }

  @Override
  public int hashCode() {
    return Objects.hash(www, img, imgHref);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PlaceLinks {\n");
    sb.append("    www: ").append(toIndentedString(www)).append("\n");
    sb.append("    img: ").append(toIndentedString(img)).append("\n");
    sb.append("    imgHref: ").append(toIndentedString(imgHref)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

